Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-6448

Mx4jLoader#props.getBoolean("kafka_mx4jenable", false) conflict with the annotation

    Details

    • Type: Improvement
    • Status: Patch Available
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: 1.0.0
    • Fix Version/s: 2.2.0
    • Component/s: core
    • Labels:
      None

      Description

      In the annotation, it said 

      *This feature must be enabled with -Dmx4jenable=true*

      which is not compatible with the code 

      **
      
      props.getBoolean("kafka_mx4jenable", false)
      
       **
      

      patch KAFKA-6448-1.patch modifies the code, and KAFKA-6448-2.patch modifies the annotation

        Attachments

        1. KAFKA-6448-2.patch
          0.7 kB
          Hongyuan Li
        2. KAFKA-6448-1.patch
          0.6 kB
          Hongyuan Li

          Issue Links

            Activity

              People

              • Assignee:
                Unassigned
                Reporter:
                Hongyuan Li Hongyuan Li
                Reviewer:
                Ismael Juma
              • Votes:
                0 Vote for this issue
                Watchers:
                3 Start watching this issue

                Dates

                • Created:
                  Updated: